<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>Deprecated Features</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="deprecated-features">
<span id="topic-deprecated"></span>
<h1 class="title">Deprecated Features</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#commands" id="toc-entry-1">Commands</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-2">Options</a></li>
</ul>
</div>
<p id="deprecated">Mercurial evolves over time, some features, options, commands may be replaced by
better and more secure alternatives. This topic will help you migrating your
existing usage and/or configuration to newer features.</p>
<div class="section" id="commands">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<p>The following commands are still available but their use are not recommended:</p>
<p><tt class="docutils literal">locate</tt></p>
<p>This command has been replaced by <cite>hg files</cite>.</p>
<p><tt class="docutils literal">parents</tt></p>
<p>This command can be replaced by <cite>hg summary</cite> or <cite>hg log</cite> with appropriate
revsets. See <cite>hg help revsets</cite> for more information.</p>
<p><tt class="docutils literal">tip</tt></p>
<p>The recommended alternative is <cite>hg heads</cite>.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<dl class="docutils">
<dt><tt class="docutils literal">web.allowpull</tt></dt>
<dd>Renamed to <cite>allow-pull</cite>.</dd>
<dt><tt class="docutils literal">web.allow_push</tt></dt>
<dd>Renamed to <cite>allow-push</cite>.</dd>
</dl>
</div>
</div>
</body>
</html>
